Bug 529923 - Plugin should use conduit.registerPackageName()
Plugin should use conduit.registerPackageName()
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Clients (Show other bugs)
1.9
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Red Hat Satellite QA List
:
Depends On:
Blocks: space19
  Show dependency treegraph
 
Reported: 2009-10-20 14:24 EDT by James Antill
Modified: 2013-03-06 13:34 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-06 13:34:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description James Antill 2009-10-20 14:24:50 EDT
Description of problem:
 As of yum-3.2.25 yum has an API so that plugins can add package names which provide a core part of yum (atm. used in --version and yum history).

 You need to add it in config_hook() to get in --version, it'd be nice to only add if the box is registered to a satellite ... but just doing it all the time is better than nothing (if it's hard to see that info. in config_hook).
 For extra compat. the yum-plugins\* that do this code like:

    if hasattr(conduit, 'registerPackageName'):
        conduit.registerPackageName("yum-plugin-security")

...probably not needed though.
Comment 1 Bug Zapper 2009-11-16 08:55:14 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-11-04 05:20:24 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Miroslav Suchý 2013-01-21 12:37:13 EST
Moving to upstream.
Comment 5 Milan Zazrivec 2013-02-01 10:22:51 EST
spacewalk.git master: a4b08c9294a26f90f6be313e4f02ae006482df23
Comment 6 Stephen Herr 2013-03-01 12:07:13 EST
Marking bug as ON_QA since tonight's build of Spacewalk nightly is a release candidate for Spacewalk 1.9.
Comment 7 Stephen Herr 2013-03-06 13:34:38 EST
Spacewalk 1.9 has been released.

https://fedorahosted.org/spacewalk/wiki/ReleaseNotes19

Note You need to log in before you can comment on or make changes to this bug.